function::user_string_utf32
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::user_string_utf32 — Retrieves UTF-32 string from user memory

## Synopsis

    1) user_string_utf32:string(addr:long)

    2) user_string_utf32:string(addr:long,err_msg:string)

## Arguments

`addr`

  The user address to retrieve the string from

`err_msg`

  The error message to return when data isn't available

## Description

1) This function returns a null terminated UTF-8 string converted from the UTF-32 string at a given user memory address. Reports an error on string copy fault or conversion error.

2) This function returns a null terminated UTF-8 string converted from the UTF-32 string at a given user memory address. Reports the given error message on string copy fault or conversion error.

Prev | Up | Next
function::user_string_utf16 | Home | function::user_string_warn